<?php

/**
*
* @package phpBB3
* @version $Id: acp_menu.php 2008-08-03 20:50:00Z Kamahl $
* @copyright (c) 2008 Kamahl
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/
include_once($phpbb_root_path . 'includes/constants.' . $phpEx);

class acp_menu
{
	var $u_action;

	function main($id, $mode)
	{
		global $cache, $db, $user, $auth, $template;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		$user->add_lang('acp/common');
   
    if ($mode == 'menu_config')
		{
			$this->page_title 	= $user->lang['MENU_TITLE'] . ' - ' . $user->lang['MENU_CONFIG'];
      $this->tpl_name 	= 'acp_menu_config';

      $submit = (isset($_POST['submit'])) ? true : false;
		  if ($submit)
		  {
		    set_config('menu_align', request_var('menu_align', ''));
		    set_config('menu_amount', request_var('menu_amount', 1));
		    set_config('menu_color', request_var('menu_color', ''));
		    set_config('menu_enabled', request_var('menu_enabled', ''));
		    set_config('menu_margin', request_var('menu_margin', ''));
		    set_config('menu_search', request_var('menu_search', ''));
		    set_config('menu_font_color', request_var('menu_font_color', ''));
		    set_config('menu_decoration', request_var('menu_decoration', ''));
		    set_config('menu_weight', request_var('menu_weight', ''));
		    set_config('menu_text_transform', request_var('menu_text_transform', ''));
		    set_config('menu_font_color_hover', request_var('menu_font_color_hover', ''));
        
        $cache->destroy('config');
        $cache->purge();
        trigger_error($user->lang['MENU_SAVED'] . adm_back_link($this->u_action));
      }
      
      $template->assign_vars(array(
        'S_MENU_ALIGN'			=> $config['menu_align'],
        'S_MENU_AMOUNT'			=> $config['menu_amount'],
        'S_MENU_COLOR'			=> $config['menu_color'],
        'S_MENU_ENABLED'		=> $config['menu_enabled'] ? true : false,
        'S_MENU_MARGIN'			=> $config['menu_margin'] ? true : false,
        'S_MENU_SEARCH'			=> $config['menu_search'] ? true : false,
        'S_MENU_FONT_COLOR'	=> $config['menu_font_color'],
        'S_MENU_DECORATION'	=> $config['menu_decoration'],
        'S_MENU_WEIGHT'	=> $config['menu_weight'],
        'S_MENU_FONT_COLOR_HOVER'	=> $config['menu_font_color_hover'],
        'S_MENU_TEXT_TRANSFORM'	=> $config['menu_text_transform'],
        )
      ); 
		}
		
		else if ($mode == 'menu_buttons')
		{
			$this->page_title 	= $user->lang['MENU_TITLE'] . ' - ' . $user->lang['MENU_BUTTONS'];
      $this->tpl_name 	= 'acp_menu_buttons';

      $sql = 'SELECT button_id, button_url, button_name, button_target
        FROM ' . MENU_TABLE . '
        WHERE button_id >= 1
        ORDER BY button_id';
      $result = $db->sql_query_limit($sql, $config['menu_amount']);

      while ($row = $db->sql_fetchrow($result))
      {
        $template->assign_block_vars('menu', array(
          'BUTTON_ID'        => $row['button_id'],
          'BUTTON_URL'        => $row['button_url'],
          'BUTTON_NAME'        => $row['button_name'],
          'BUTTON_TARGET'        => $row['button_target'],
          )
        );
      }
      $db->sql_freeresult($result);
      
      $submit = (isset($_POST['submit'])) ? true : false;
      if ($submit)
      {
			if ( !isset( $_POST['menu_button']) || !is_array($_POST['menu_button']))
			{
				trigger_error($user->lang['MENU_NOTHING_TO_SAVE'] . adm_back_link($this->u_action));
			}
			
			foreach( $_POST['menu_button'] as $button_id => $button_data)
			{
				$sql = "UPDATE " . MENU_TABLE . " SET " . $db->sql_build_array( 'UPDATE', $button_data) .
				  " WHERE button_id = '{$button_id}'";
				$db->sql_query( $sql);
			}
                        
			trigger_error($user->lang['MENU_SAVED'] . adm_back_link($this->u_action));
      }
        
      $template->assign_vars(array(
        'S_MENU_AMOUNT'			=> $config['menu_amount'],
        )
      ); 	
		}
	}
}

?>