<?php

define('IN_PHPBB', true);
$phpbb_root_path = '../';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.'.$phpEx);
include($phpbb_root_path . 'includes/acp/acp_modules.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();
$user->add_lang('mods/info_acp_menu');
$new_mod_version = '1.1.0';
$mod_name = 'Buttons menu v'.$new_mod_version;

$mode = request_var('mode', 'else', true);

function split_sql_file($sql, $delimiter)
{
	$sql = str_replace("\r" , '', $sql);
	$data = preg_split('/' . preg_quote($delimiter, '/') . '$/m', $sql);

	$data = array_map('trim', $data);

	// The empty case
	$end_data = end($data);

	if (empty($end_data))
	{
		unset($data[key($data)]);
	}

	return $data;
}

function add_module($array)
{
	global $user;
	$modules = new acp_modules();
	$failed = $modules->update_module_data($array, true);
	if ($failed == 'PARENT_NO_EXIST')
	{
		$user->add_lang('mods/info_acp_menu');
		trigger_error(sprintf($user->lang['MISSING_PARENT_MODULE'], $array['parent_id'], $user->lang[$array['module_langname']]));
	}
}

$install = request_var('install', 0);

switch ($mode)
{
	case 'install':
		$installed = false;
		if ($install == 1)
		{
			set_config('menu_enabled', '1');
			set_config('menu_color', 'blue');
			set_config('menu_amount', '6');
			set_config('menu_align', 'left');
			set_config('menu_search', '1');
			set_config('menu_margin', '1');
			set_config('menu_weight', 'bold');
			set_config('menu_decoration', 'none');
			set_config('menu_font_color', 'FFFFFF');
			set_config('menu_font_color_hover', 'FFFFFF');
			set_config('menu_text_transform', 'none');
			set_config('menu_version', $new_mod_version);

			// create the acp modules
			$modules = new acp_modules();
			$menu = array('module_basename' => '', 'module_enabled' => 1, 'module_display' => 1, 'parent_id' => 31, 'module_class' => 'acp', 'module_langname' => 'MENU_TITLE', 'module_mode' => 'MENU_CONFIG', 'module_auth' => '');
			add_module($menu);
			$sql = 'SELECT module_id FROM ' . MODULES_TABLE . " WHERE module_langname = 'MENU_TITLE' LIMIT 1";
			$result = $db->sql_query($sql);
			$menu = $db->sql_fetchrow($result);
			$config_menu = array('module_basename' => 'menu', 'module_enabled' => 1, 'module_display' => 1, 'parent_id' => $menu['module_id'], 'module_class' => 'acp', 'module_langname' => 'MENU_CONFIG', 'module_mode' => 'menu_config', 'module_auth' => '');
			add_module($config_menu);
			$buttons_menu = array('module_basename' => 'menu', 'module_enabled' => 1, 'module_display' => 1, 'parent_id' => $menu['module_id'], 'module_class' => 'acp', 'module_langname' => 'MENU_BUTTONS', 'module_mode' => 'menu_buttons', 'module_auth' => '');
			add_module($buttons_menu);
			
			$server_name = $config['server_name'];
			$script_path = $config['script_path'];
			
			$sql = $sql_id = array();
			
      $sql = "CREATE TABLE {$table_prefix}menu (
        button_id int(255) NOT NULL,
        button_url text(1024) NOT NULL,
        button_name varchar(100) NOT NULL,
        button_target int(1) NOT NULL
      )DEFAULT CHARSET=utf8 COLLATE=utf8_bin";
      $db->sql_query($sql);
      
      $sql = "INSERT INTO {$table_prefix}menu VALUES ('1', 'http://$server_name$script_path', 'button1', '0')";$db->sql_query($sql);
      $sql = "INSERT INTO {$table_prefix}menu VALUES ('2', 'http://$server_name$script_path', 'button2', '0')";$db->sql_query($sql);
      $sql = "INSERT INTO {$table_prefix}menu VALUES ('3', 'http://$server_name$script_path', 'button3', '0')";$db->sql_query($sql);
      $sql = "INSERT INTO {$table_prefix}menu VALUES ('4', 'http://$server_name$script_path', 'button4', '0')";$db->sql_query($sql);
      $sql = "INSERT INTO {$table_prefix}menu VALUES ('5', 'http://$server_name$script_path', 'button5', '0')";$db->sql_query($sql);
      $sql = "INSERT INTO {$table_prefix}menu VALUES ('6', 'http://$server_name$script_path', 'button6', '0')";$db->sql_query($sql);
      $sql = "INSERT INTO {$table_prefix}menu VALUES ('7', 'http://$server_name$script_path', 'button7', '0')";$db->sql_query($sql);
      $sql = "INSERT INTO {$table_prefix}menu VALUES ('8', 'http://$server_name$script_path', 'button8', '0')";$db->sql_query($sql);
      $sql = "INSERT INTO {$table_prefix}menu VALUES ('9', 'http://$server_name$script_path', 'button9', '0')";$db->sql_query($sql);
      $sql = "INSERT INTO {$table_prefix}menu VALUES ('10', 'http://$server_name$script_path', 'button10', '0')";$db->sql_query($sql);
      
			// clear cache and log what we did
			$cache->purge();
			add_log('admin', 'LOG_INSTALL_INSTALLED', $mod_name);
			add_log('admin', 'LOG_PURGE_CACHE');
			$installed = true;
		}
	break;
	
	default:
		//nothing
	break;
}

include($phpbb_root_path . 'install_menu/install_layout.'.$phpEx);
?>
